Bug 998362 - Corosync uses 100% of cpu all time
Corosync uses 100% of cpu all time
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: corosync (Show other bugs)
7.0
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Jan Friesse
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 03:09 EDT by Jan Friesse
Modified: 2014-06-17 20:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: corosync-2.3.1-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 09:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch - Fix scheduler pause-detection timeout (955 bytes, patch)
2013-08-19 03:09 EDT, Jan Friesse
no flags Details | Diff

  None (edit)
Description Jan Friesse 2013-08-19 03:09:53 EDT
Created attachment 787911 [details]
Proposed patch - Fix scheduler pause-detection timeout

Description of problem:
Corosync uses 100% of CPU all time

Version-Release number of selected component (if applicable):
2.3.1

How reproducible:
100%

Steps to Reproduce:
1. Start corosync

Actual results:
100% cpu in idle state

Expected results:
~0% cpu in idle state

Additional info:
Introduced by 8429d013891f9c1b5ad9c06107099c8566d4b8eb. Flatiron (RHEL 6) is NOT affected.
Comment 4 Ludek Smid 2014-06-13 09:16:05 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.